Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.term
Class DefaultGO_term

    java.lang.Object
      |
      +--edu.hust.go.term.DefaultGO_term

All Implemented Interfaces:
  java.lang.Cloneable, GO_term

Direct Known Subclasses:
  OBOGO_term, OboXmlGo_term, OwlGo_term, RdfXmlGo_term

public abstract class DefaultGO_term
extends java.lang.Object
implements GO_term

Field Summary
`(package private) java.lang.String` | `def`
`(package private) java.lang.String` | `id`
`(package private) java.util.Vector` | `is_a`
`(package private) java.lang.String` | `name`
`(package private) java.util.Vector` | `part_of`

Constructor Summary
`DefaultGO_term()`

Method Summary
`java.lang.String` | `getDef()`
`java.lang.String` | `getId()`
`java.util.Vector` | `getIs_a()`
`java.lang.String` | `getName()`
`java.util.Vector` | `getPart_of()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    java.lang.String id

### name

    java.lang.String name

### def

    java.lang.String def

### is_a

    java.util.Vector is_a

### part_of

    java.util.Vector part_of

Constructor Detail

### DefaultGO_term

    public DefaultGO_term()

Method Detail

### getDef

    public java.lang.String getDef()

  Specified by:
    `getDef` in interface `GO_term`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `GO_term`

### getIs_a

    public java.util.Vector getIs_a()

  Specified by:
    `getIs_a` in interface `GO_term`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `GO_term`

### getPart_of

    public java.util.Vector getPart_of()

  Specified by:
    `getPart_of` in interface `GO_term`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD